<template>
    <div>
        <div>爷爷组件</div>
        <hr>
        <parent/>
    </div>
</template>

<script setup>
import { provide ,ref} from 'vue';
import parent from './parent.vue';
let money = ref(100)
let updateMoney = (value) =>{
    money.value += value
}
provide('money',money)
provide('updateMoney',updateMoney)
</script>

<style>

</style>
